package com.wissamfawaz;

import java.io.BufferedWriter;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.NoSuchElementException;
import java.util.Scanner;

import javax.xml.bind.DataBindingException;
import javax.xml.bind.JAXB;

public class CreateXMLFile {
	
	private BufferedWriter bw;
	
	public void openFile() {
		try {
			bw = Files.newBufferedWriter(Paths.get("records.xml"));
		} catch (IOException e) {
			System.err.println("Error opening the file. Terminating.");
			System.exit(1);
		}
	}
	
	public void addRecords() {
		Scanner scan = new Scanner(System.in);
		System.out.printf("%s%n", "Enter account records followed by EoF indicator.");
		Accounts accounts = new Accounts();
		System.out.printf("%s %n", "Enter acct ID, first, last names, balance.");
		while(scan.hasNext()) {
			try {
				accounts.getAccounts().add(new Account(scan.nextInt(), 
						scan.next(), scan.next(), scan.nextDouble()));
			} catch(NoSuchElementException e) {
				System.err.println("Invalid input type. Try again.");
				scan.nextLine();
			}
			System.out.printf("%s %n", "Enter acct ID, first, last names, balance.");
		}
		
		try {
			JAXB.marshal(accounts, bw);
		} catch(DataBindingException e) {
			System.err.println("Error writing data.");
		}
		
		scan.close();
	}
	
	public void closeFile() {
		if(bw != null)
			try {
				bw.close();
			} catch (IOException e) {
				System.err.println("Error closing the file. Terminating.");
				System.exit(1);
			}
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	

}
